Subject: Re: [PATCH net-next v2 2/2] net: dsa: microchip: remove MICREL_NO_EEE workaround

From: Oleksij Rempel <[email-masked]>
Date: Tue, 7 Jan 2025 14:26:33 +0100

On Tue, Jan 07, 2025 at 02:03:27PM +0100, Andrew Lunn wrote:
> > I have two problems with current patch set:
> > - dropped documentation, not all switches are officially broken, so
> >   keeping it documented is important.
> > - not all KSZ9xxx based switches are officially broken. All 3 port
> >   switches are not broken but still match against the KSZ9477 PHY
> >   driver:
> >   KSZ8563_CHIP_ID - 0x00221631
> >   KSZ9563_CHIP_ID - 0x00221631
> >   KSZ9893_CHIP_ID - 0x00221631
> 
> When you say "not broken", do you mean there is text in the errata
> which says they do really, truly, work, or there is simply no errata
> which says they are broken? Do you have these 3 ports switches and
> have tested them?

There are multiple true conditions in this case:
- Documentation claims EEE is supported
- Errata documentation do not recommend to disable it
- I have access to this variants, they are relatively common in
  industrial products. So far it seems to work without issues.

> It seems odd to me that the 3 port version should work. Why is it
> special?

In my case, on KSZ9477 the EEE starts to have issues as soon as i start to use
more then 2 ports. I assume, it is switch internal power domain
integration issues and not directly related to actual PHYs. May be it is
possible to handle it some how or disable EEE only for some ports, or
not enable for more then 2 ports, but if vendor removes EEE from
documentation I see it as officially not supported.

-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |